Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589955 - RHEL6: add command-line interface for libblkid topology support
Summary: RHEL6: add command-line interface for libblkid topology support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: Miroslav Vadkerti
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 11:45 UTC by Karel Zak
Modified: 2010-11-10 21:52 UTC (History)
4 users (show)

Fixed In Version: util-linux-ng-2.17.2-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:52:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Zak 2010-05-07 11:45:21 UTC
Description of problem:

The libblkid library is able to gather I/O limits (topology) of block devices. This feature is used in many utils (fdisk, parted, mkfs programs, ...). 

Unfortunately, there is not a command line util that directly exposes the blkid topology support, so it's difficult to debug issues with the topology support.

Comment 1 RHEL Product and Program Management 2010-05-07 12:58:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Karel Zak 2010-05-21 14:46:39 UTC
The upstream decision is to add this functionality to blkid(8) rather than introduce a new command.

Comment 5 Miroslav Vadkerti 2010-09-22 12:16:15 UTC
VERIFIED as fixed in util-linux-ng-2.17.2-6

Added RHTS regression test:
/CoreOS/util-linux-ng/Regression/bz589955-add-command-line-interface-for-libblkid-topology-support

NEW package util-linux-ng-2.17.2-6
==================================
:: [   PASS   ] :: Running 'blkid -i /dev/loop0'
:: [   PASS   ] :: Running 'man blkid | grep '\-i''
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: Test


OLD package util-linux-ng-2.17.1-1
==================================
:: [   FAIL   ] :: Running 'blkid -i /dev/loop0' (Expected 0, got 4)
:: [   FAIL   ] :: Running 'man blkid | grep '\-i'' (Expected 0, got 1)
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 0 good, 2 bad
:: [   FAIL   ] :: RESULT: Test

Comment 6 releng-rhel@redhat.com 2010-11-10 21:52:06 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.